package CFX5::IO::Const;
use strict;
use base qw(Exporter);
use vars qw(@EXPORT_OK %EXPORT_TAGS);

=head1 NAME

CFX5::IO::Const - internal constants for IO library module

=head1 SYNOPSIS

  use CFX5::IO::Const qw(:IO_req);

=head1 DESCRIPTION

This module provides access to the constants from the IO library
header files used by L<CFX5::IO::Base>, and is not really designed for
use by users.

=cut


=head2 IO_req

The following constants are available from the export tag C<IO_req>:

=cut

sub IO_CHECK_DS_BYTESWAP () { 50 }
sub IO_CHECK_FILE_STATE () { 38 }
sub IO_CLOSE_PRIMARYFILE () { 1 }
sub IO_CLOSE_SECONDARYFILE () { 3 }
sub IO_CLOSE_TXTFILE () { 31 }
sub IO_COPY_ALLVALID_DS () { 17 }
sub IO_COPY_DATASET () { 16 }
sub IO_COPY_DS_COMPRESS_WHEN () { 45 }
sub IO_COPY_WHEN0_DS () { 39 }
sub IO_DELETE_DATASET () { 5 }
sub IO_DELETE_PRIMARY_DS () { 9 }
sub IO_GET_DS_NUMBER () { 15 }
sub IO_GET_FILEPTR () { 48 }
sub IO_GET_INDEX_LOCATION () { 25 }
sub IO_GET_OFFSET () { 20 }
sub IO_GOTO_OFFSET () { 22 }
sub IO_GOTO_PRIMARY_FILE () { 28 }
sub IO_GOTO_SECONDARY_FILE () { 29 }
sub IO_INSERT_INDEX () { 24 }
sub IO_INSERT_INDEX_NOSORT () { 40 }
sub IO_LOCATE_DATASET () { 7 }
sub IO_LOCATE_PRIMARY_DS () { 8 }
sub IO_OPEN_PRIMARYFILE () { 0 }
sub IO_OPEN_SECONDARYFILE () { 2 }
sub IO_OPEN_TXTFILE () { 30 }
sub IO_READ_COMPRESSED_DATA () { 49 }
sub IO_READ_DATA () { 13 }
sub IO_READ_DATATAG () { 26 }
sub IO_READ_HEADER () { 11 }
sub IO_READ_INTR_FROM_TXTFILE () { 34 }
sub IO_READ_LOCATED_DATASET () { 10 }
sub IO_READ_LOCATED_DATASET_AS () { 43 }
sub IO_READ_LOCATED_PRIMARY_DS () { 18 }
sub IO_READ_LOCATED_PRIMARY_DS_AS () { 44 }
sub IO_READ_REAL_FROM_TXTFILE () { 36 }
sub IO_READ_STRI_FROM_TXTFILE () { 32 }
sub IO_RECREATE_INDEX () { 42 }
sub IO_SET_DEFAULT_FORMAT () { 46 }
sub IO_SET_FORMAT () { 4 }
sub IO_SET_INDEX_LOCATION () { 23 }
sub IO_UPDATE_INDEX () { 41 }
sub IO_WRITE_COMPRESSED_DATA () { 47 }
sub IO_WRITE_DATA () { 14 }
sub IO_WRITE_DATASET () { 6 }
sub IO_WRITE_DATATAG () { 27 }
sub IO_WRITE_DSLENGTH () { 21 }
sub IO_WRITE_ENDTAG () { 19 }
sub IO_WRITE_HEADER () { 12 }
sub IO_WRITE_INTR_TO_TXTFILE () { 35 }
sub IO_WRITE_REAL_TO_TXTFILE () { 37 }
sub IO_WRITE_STRI_TO_TXTFILE () { 33 }

=over

=item IO_CHECK_DS_BYTESWAP

=item IO_CHECK_FILE_STATE

=item IO_CLOSE_PRIMARYFILE

=item IO_CLOSE_SECONDARYFILE

=item IO_CLOSE_TXTFILE

=item IO_COPY_ALLVALID_DS

=item IO_COPY_DATASET

=item IO_COPY_DS_COMPRESS_WHEN

=item IO_COPY_WHEN0_DS

=item IO_DELETE_DATASET

=item IO_DELETE_PRIMARY_DS

=item IO_GET_DS_NUMBER

=item IO_GET_FILEPTR

=item IO_GET_INDEX_LOCATION

=item IO_GET_OFFSET

=item IO_GOTO_OFFSET

=item IO_GOTO_PRIMARY_FILE

=item IO_GOTO_SECONDARY_FILE

=item IO_INSERT_INDEX

=item IO_INSERT_INDEX_NOSORT

=item IO_LOCATE_DATASET

=item IO_LOCATE_PRIMARY_DS

=item IO_OPEN_PRIMARYFILE

=item IO_OPEN_SECONDARYFILE

=item IO_OPEN_TXTFILE

=item IO_READ_COMPRESSED_DATA

=item IO_READ_DATA

=item IO_READ_DATATAG

=item IO_READ_HEADER

=item IO_READ_INTR_FROM_TXTFILE

=item IO_READ_LOCATED_DATASET

=item IO_READ_LOCATED_DATASET_AS

=item IO_READ_LOCATED_PRIMARY_DS

=item IO_READ_LOCATED_PRIMARY_DS_AS

=item IO_READ_REAL_FROM_TXTFILE

=item IO_READ_STRI_FROM_TXTFILE

=item IO_RECREATE_INDEX

=item IO_SET_DEFAULT_FORMAT

=item IO_SET_FORMAT

=item IO_SET_INDEX_LOCATION

=item IO_UPDATE_INDEX

=item IO_WRITE_COMPRESSED_DATA

=item IO_WRITE_DATA

=item IO_WRITE_DATASET

=item IO_WRITE_DATATAG

=item IO_WRITE_DSLENGTH

=item IO_WRITE_ENDTAG

=item IO_WRITE_HEADER

=item IO_WRITE_INTR_TO_TXTFILE

=item IO_WRITE_REAL_TO_TXTFILE

=item IO_WRITE_STRI_TO_TXTFILE

=back

=cut

use vars qw(%names_IO_req);
%names_IO_req = (
  IO_CHECK_DS_BYTESWAP() => q(IO_CHECK_DS_BYTESWAP),
  IO_CHECK_FILE_STATE() => q(IO_CHECK_FILE_STATE),
  IO_CLOSE_PRIMARYFILE() => q(IO_CLOSE_PRIMARYFILE),
  IO_CLOSE_SECONDARYFILE() => q(IO_CLOSE_SECONDARYFILE),
  IO_CLOSE_TXTFILE() => q(IO_CLOSE_TXTFILE),
  IO_COPY_ALLVALID_DS() => q(IO_COPY_ALLVALID_DS),
  IO_COPY_DATASET() => q(IO_COPY_DATASET),
  IO_COPY_DS_COMPRESS_WHEN() => q(IO_COPY_DS_COMPRESS_WHEN),
  IO_COPY_WHEN0_DS() => q(IO_COPY_WHEN0_DS),
  IO_DELETE_DATASET() => q(IO_DELETE_DATASET),
  IO_DELETE_PRIMARY_DS() => q(IO_DELETE_PRIMARY_DS),
  IO_GET_DS_NUMBER() => q(IO_GET_DS_NUMBER),
  IO_GET_FILEPTR() => q(IO_GET_FILEPTR),
  IO_GET_INDEX_LOCATION() => q(IO_GET_INDEX_LOCATION),
  IO_GET_OFFSET() => q(IO_GET_OFFSET),
  IO_GOTO_OFFSET() => q(IO_GOTO_OFFSET),
  IO_GOTO_PRIMARY_FILE() => q(IO_GOTO_PRIMARY_FILE),
  IO_GOTO_SECONDARY_FILE() => q(IO_GOTO_SECONDARY_FILE),
  IO_INSERT_INDEX() => q(IO_INSERT_INDEX),
  IO_INSERT_INDEX_NOSORT() => q(IO_INSERT_INDEX_NOSORT),
  IO_LOCATE_DATASET() => q(IO_LOCATE_DATASET),
  IO_LOCATE_PRIMARY_DS() => q(IO_LOCATE_PRIMARY_DS),
  IO_OPEN_PRIMARYFILE() => q(IO_OPEN_PRIMARYFILE),
  IO_OPEN_SECONDARYFILE() => q(IO_OPEN_SECONDARYFILE),
  IO_OPEN_TXTFILE() => q(IO_OPEN_TXTFILE),
  IO_READ_COMPRESSED_DATA() => q(IO_READ_COMPRESSED_DATA),
  IO_READ_DATA() => q(IO_READ_DATA),
  IO_READ_DATATAG() => q(IO_READ_DATATAG),
  IO_READ_HEADER() => q(IO_READ_HEADER),
  IO_READ_INTR_FROM_TXTFILE() => q(IO_READ_INTR_FROM_TXTFILE),
  IO_READ_LOCATED_DATASET() => q(IO_READ_LOCATED_DATASET),
  IO_READ_LOCATED_DATASET_AS() => q(IO_READ_LOCATED_DATASET_AS),
  IO_READ_LOCATED_PRIMARY_DS() => q(IO_READ_LOCATED_PRIMARY_DS),
  IO_READ_LOCATED_PRIMARY_DS_AS() => q(IO_READ_LOCATED_PRIMARY_DS_AS),
  IO_READ_REAL_FROM_TXTFILE() => q(IO_READ_REAL_FROM_TXTFILE),
  IO_READ_STRI_FROM_TXTFILE() => q(IO_READ_STRI_FROM_TXTFILE),
  IO_RECREATE_INDEX() => q(IO_RECREATE_INDEX),
  IO_SET_DEFAULT_FORMAT() => q(IO_SET_DEFAULT_FORMAT),
  IO_SET_FORMAT() => q(IO_SET_FORMAT),
  IO_SET_INDEX_LOCATION() => q(IO_SET_INDEX_LOCATION),
  IO_UPDATE_INDEX() => q(IO_UPDATE_INDEX),
  IO_WRITE_COMPRESSED_DATA() => q(IO_WRITE_COMPRESSED_DATA),
  IO_WRITE_DATA() => q(IO_WRITE_DATA),
  IO_WRITE_DATASET() => q(IO_WRITE_DATASET),
  IO_WRITE_DATATAG() => q(IO_WRITE_DATATAG),
  IO_WRITE_DSLENGTH() => q(IO_WRITE_DSLENGTH),
  IO_WRITE_ENDTAG() => q(IO_WRITE_ENDTAG),
  IO_WRITE_HEADER() => q(IO_WRITE_HEADER),
  IO_WRITE_INTR_TO_TXTFILE() => q(IO_WRITE_INTR_TO_TXTFILE),
  IO_WRITE_REAL_TO_TXTFILE() => q(IO_WRITE_REAL_TO_TXTFILE),
  IO_WRITE_STRI_TO_TXTFILE() => q(IO_WRITE_STRI_TO_TXTFILE),
);
sub str_IO_req {
  $names_IO_req{$_[0]};
}

$EXPORT_TAGS{IO_req} = [ qw(IO_CHECK_DS_BYTESWAP IO_CHECK_FILE_STATE IO_CLOSE_PRIMARYFILE IO_CLOSE_SECONDARYFILE IO_CLOSE_TXTFILE IO_COPY_ALLVALID_DS IO_COPY_DATASET IO_COPY_DS_COMPRESS_WHEN IO_COPY_WHEN0_DS IO_DELETE_DATASET IO_DELETE_PRIMARY_DS IO_GET_DS_NUMBER IO_GET_FILEPTR IO_GET_INDEX_LOCATION IO_GET_OFFSET IO_GOTO_OFFSET IO_GOTO_PRIMARY_FILE IO_GOTO_SECONDARY_FILE IO_INSERT_INDEX IO_INSERT_INDEX_NOSORT IO_LOCATE_DATASET IO_LOCATE_PRIMARY_DS IO_OPEN_PRIMARYFILE IO_OPEN_SECONDARYFILE IO_OPEN_TXTFILE IO_READ_COMPRESSED_DATA IO_READ_DATA IO_READ_DATATAG IO_READ_HEADER IO_READ_INTR_FROM_TXTFILE IO_READ_LOCATED_DATASET IO_READ_LOCATED_DATASET_AS IO_READ_LOCATED_PRIMARY_DS IO_READ_LOCATED_PRIMARY_DS_AS IO_READ_REAL_FROM_TXTFILE IO_READ_STRI_FROM_TXTFILE IO_RECREATE_INDEX IO_SET_DEFAULT_FORMAT IO_SET_FORMAT IO_SET_INDEX_LOCATION IO_UPDATE_INDEX IO_WRITE_COMPRESSED_DATA IO_WRITE_DATA IO_WRITE_DATASET IO_WRITE_DATATAG IO_WRITE_DSLENGTH IO_WRITE_ENDTAG IO_WRITE_HEADER IO_WRITE_INTR_TO_TXTFILE IO_WRITE_REAL_TO_TXTFILE IO_WRITE_STRI_TO_TXTFILE str_IO_req) ];
push @EXPORT_OK, @{$EXPORT_TAGS{IO_req}};


=head2 IO_DATATYPE

The following constants are available from the export tag C<IO_DATATYPE>:

=cut

sub IO_CTYPE () { 1 }
sub IO_DTYPE () { 4 }
sub IO_GTYPE () { 5 }
sub IO_ITYPE () { 2 }
sub IO_RTYPE () { 3 }
sub IO_STYPE () { 0 }

=over

=item IO_CTYPE

=item IO_DTYPE

=item IO_GTYPE

=item IO_ITYPE

=item IO_RTYPE

=item IO_STYPE

=back

=cut

use vars qw(%names_IO_DATATYPE);
%names_IO_DATATYPE = (
  IO_CTYPE() => q(IO_CTYPE),
  IO_DTYPE() => q(IO_DTYPE),
  IO_GTYPE() => q(IO_GTYPE),
  IO_ITYPE() => q(IO_ITYPE),
  IO_RTYPE() => q(IO_RTYPE),
  IO_STYPE() => q(IO_STYPE),
);
sub str_IO_DATATYPE {
  $names_IO_DATATYPE{$_[0]};
}

$EXPORT_TAGS{IO_DATATYPE} = [ qw(IO_CTYPE IO_DTYPE IO_GTYPE IO_ITYPE IO_RTYPE IO_STYPE str_IO_DATATYPE) ];
push @EXPORT_OK, @{$EXPORT_TAGS{IO_DATATYPE}};


=head2 IO_ERR

The following constants are available from the export tag C<IO_ERR>:

=cut

sub IO_ATTRIBUTE_NOT_FOUND () { 25 }
sub IO_BAD_FILE () { 20 }
sub IO_CLOSE_ERR () { 7 }
sub IO_COMPRESS_ERR () { 23 }
sub IO_CONVERT_ERR () { 27 }
sub IO_DISK_FULL () { 4 }
sub IO_DS_NOT_BYTESWAP () { 31 }
sub IO_DS_NOT_FOUND () { 17 }
sub IO_END_OF_FILE () { 5 }
sub IO_ERR () { 26 }
sub IO_FILE_FMT_ERR () { 15 }
sub IO_FILE_NOT_EXIST () { 24 }
sub IO_FILE_NOT_FOUND () { 3 }
sub IO_FILE_NOT_OPEN () { 2 }
sub IO_FOUND_MORE_DS () { 16 }
sub IO_LOCKED () { 21 }
sub IO_MEMALLOC_ERR () { 28 }
sub IO_MEMORY_ERR () { 14 }
sub IO_MESG_ERR () { 19 }
sub IO_NOT_COMPRESSED () { 30 }
sub IO_OK () { 0 }
sub IO_OPEN_ERR () { 1 }
sub IO_PARSE_ERR () { 12 }
sub IO_PERMISSION_DENIED () { 6 }
sub IO_READ_ERR () { 10 }
sub IO_SEEK_ERR () { 8 }
sub IO_STR_ERR () { 18 }
sub IO_TELL_ERR () { 9 }
sub IO_UNKNOWN_DATASET () { 13 }
sub IO_UNKNOWN_REQ () { 22 }
sub IO_WRITE_COMPRESSED_ERR () { 29 }
sub IO_WRITE_ERR () { 11 }

=over

=item IO_ATTRIBUTE_NOT_FOUND

=item IO_BAD_FILE

=item IO_CLOSE_ERR

=item IO_COMPRESS_ERR

=item IO_CONVERT_ERR

=item IO_DISK_FULL

=item IO_DS_NOT_BYTESWAP

=item IO_DS_NOT_FOUND

=item IO_END_OF_FILE

=item IO_ERR

=item IO_FILE_FMT_ERR

=item IO_FILE_NOT_EXIST

=item IO_FILE_NOT_FOUND

=item IO_FILE_NOT_OPEN

=item IO_FOUND_MORE_DS

=item IO_LOCKED

=item IO_MEMALLOC_ERR

=item IO_MEMORY_ERR

=item IO_MESG_ERR

=item IO_NOT_COMPRESSED

=item IO_OK

=item IO_OPEN_ERR

=item IO_PARSE_ERR

=item IO_PERMISSION_DENIED

=item IO_READ_ERR

=item IO_SEEK_ERR

=item IO_STR_ERR

=item IO_TELL_ERR

=item IO_UNKNOWN_DATASET

=item IO_UNKNOWN_REQ

=item IO_WRITE_COMPRESSED_ERR

=item IO_WRITE_ERR

=back

=cut

use vars qw(%names_IO_ERR);
%names_IO_ERR = (
  IO_ATTRIBUTE_NOT_FOUND() => q(IO_ATTRIBUTE_NOT_FOUND),
  IO_BAD_FILE() => q(IO_BAD_FILE),
  IO_CLOSE_ERR() => q(IO_CLOSE_ERR),
  IO_COMPRESS_ERR() => q(IO_COMPRESS_ERR),
  IO_CONVERT_ERR() => q(IO_CONVERT_ERR),
  IO_DISK_FULL() => q(IO_DISK_FULL),
  IO_DS_NOT_BYTESWAP() => q(IO_DS_NOT_BYTESWAP),
  IO_DS_NOT_FOUND() => q(IO_DS_NOT_FOUND),
  IO_END_OF_FILE() => q(IO_END_OF_FILE),
  IO_ERR() => q(IO_ERR),
  IO_FILE_FMT_ERR() => q(IO_FILE_FMT_ERR),
  IO_FILE_NOT_EXIST() => q(IO_FILE_NOT_EXIST),
  IO_FILE_NOT_FOUND() => q(IO_FILE_NOT_FOUND),
  IO_FILE_NOT_OPEN() => q(IO_FILE_NOT_OPEN),
  IO_FOUND_MORE_DS() => q(IO_FOUND_MORE_DS),
  IO_LOCKED() => q(IO_LOCKED),
  IO_MEMALLOC_ERR() => q(IO_MEMALLOC_ERR),
  IO_MEMORY_ERR() => q(IO_MEMORY_ERR),
  IO_MESG_ERR() => q(IO_MESG_ERR),
  IO_NOT_COMPRESSED() => q(IO_NOT_COMPRESSED),
  IO_OK() => q(IO_OK),
  IO_OPEN_ERR() => q(IO_OPEN_ERR),
  IO_PARSE_ERR() => q(IO_PARSE_ERR),
  IO_PERMISSION_DENIED() => q(IO_PERMISSION_DENIED),
  IO_READ_ERR() => q(IO_READ_ERR),
  IO_SEEK_ERR() => q(IO_SEEK_ERR),
  IO_STR_ERR() => q(IO_STR_ERR),
  IO_TELL_ERR() => q(IO_TELL_ERR),
  IO_UNKNOWN_DATASET() => q(IO_UNKNOWN_DATASET),
  IO_UNKNOWN_REQ() => q(IO_UNKNOWN_REQ),
  IO_WRITE_COMPRESSED_ERR() => q(IO_WRITE_COMPRESSED_ERR),
  IO_WRITE_ERR() => q(IO_WRITE_ERR),
);
sub str_IO_ERR {
  $names_IO_ERR{$_[0]};
}

$EXPORT_TAGS{IO_ERR} = [ qw(IO_ATTRIBUTE_NOT_FOUND IO_BAD_FILE IO_CLOSE_ERR IO_COMPRESS_ERR IO_CONVERT_ERR IO_DISK_FULL IO_DS_NOT_BYTESWAP IO_DS_NOT_FOUND IO_END_OF_FILE IO_ERR IO_FILE_FMT_ERR IO_FILE_NOT_EXIST IO_FILE_NOT_FOUND IO_FILE_NOT_OPEN IO_FOUND_MORE_DS IO_LOCKED IO_MEMALLOC_ERR IO_MEMORY_ERR IO_MESG_ERR IO_NOT_COMPRESSED IO_OK IO_OPEN_ERR IO_PARSE_ERR IO_PERMISSION_DENIED IO_READ_ERR IO_SEEK_ERR IO_STR_ERR IO_TELL_ERR IO_UNKNOWN_DATASET IO_UNKNOWN_REQ IO_WRITE_COMPRESSED_ERR IO_WRITE_ERR str_IO_ERR) ];
push @EXPORT_OK, @{$EXPORT_TAGS{IO_ERR}};


=head2 IOP_DATARR

The following constants are available from the export tag C<IOP_DATARR>:

=cut

sub IOP_DATARR_CHAR () { 2 }
sub IOP_DATARR_DBLE () { 5 }
sub IOP_DATARR_INTR () { 3 }
sub IOP_DATARR_LOGL () { 6 }
sub IOP_DATARR_OFFSET () { 0 }
sub IOP_DATARR_REAL () { 4 }
sub IOP_DATARR_STRING () { 1 }

=over

=item IOP_DATARR_CHAR

=item IOP_DATARR_DBLE

=item IOP_DATARR_INTR

=item IOP_DATARR_LOGL

=item IOP_DATARR_OFFSET

=item IOP_DATARR_REAL

=item IOP_DATARR_STRING

=back

=cut

use vars qw(%names_IOP_DATARR);
%names_IOP_DATARR = (
  IOP_DATARR_CHAR() => q(IOP_DATARR_CHAR),
  IOP_DATARR_DBLE() => q(IOP_DATARR_DBLE),
  IOP_DATARR_INTR() => q(IOP_DATARR_INTR),
  IOP_DATARR_LOGL() => q(IOP_DATARR_LOGL),
  IOP_DATARR_OFFSET() => q(IOP_DATARR_OFFSET),
  IOP_DATARR_REAL() => q(IOP_DATARR_REAL),
  IOP_DATARR_STRING() => q(IOP_DATARR_STRING),
);
sub str_IOP_DATARR {
  $names_IOP_DATARR{$_[0]};
}

$EXPORT_TAGS{IOP_DATARR} = [ qw(IOP_DATARR_CHAR IOP_DATARR_DBLE IOP_DATARR_INTR IOP_DATARR_LOGL IOP_DATARR_OFFSET IOP_DATARR_REAL IOP_DATARR_STRING str_IOP_DATARR) ];
push @EXPORT_OK, @{$EXPORT_TAGS{IOP_DATARR}};


=head2 IOP_HEDARR

The following constants are available from the export tag C<IOP_HEDARR>:

=cut

sub IOP_HEDARR_BLOCKFACTOR () { 6 }
sub IOP_HEDARR_ISTRCT () { 2 }
sub IOP_HEDARR_NATTRB () { 4 }
sub IOP_HEDARR_NSTRCT () { 5 }
sub IOP_HEDARR_WHAT () { 0 }
sub IOP_HEDARR_WHEN () { 3 }
sub IOP_HEDARR_WHERE () { 1 }

=over

=item IOP_HEDARR_BLOCKFACTOR

=item IOP_HEDARR_ISTRCT

=item IOP_HEDARR_NATTRB

=item IOP_HEDARR_NSTRCT

=item IOP_HEDARR_WHAT

=item IOP_HEDARR_WHEN

=item IOP_HEDARR_WHERE

=back

=cut

use vars qw(%names_IOP_HEDARR);
%names_IOP_HEDARR = (
  IOP_HEDARR_BLOCKFACTOR() => q(IOP_HEDARR_BLOCKFACTOR),
  IOP_HEDARR_ISTRCT() => q(IOP_HEDARR_ISTRCT),
  IOP_HEDARR_NATTRB() => q(IOP_HEDARR_NATTRB),
  IOP_HEDARR_NSTRCT() => q(IOP_HEDARR_NSTRCT),
  IOP_HEDARR_WHAT() => q(IOP_HEDARR_WHAT),
  IOP_HEDARR_WHEN() => q(IOP_HEDARR_WHEN),
  IOP_HEDARR_WHERE() => q(IOP_HEDARR_WHERE),
);
sub str_IOP_HEDARR {
  $names_IOP_HEDARR{$_[0]};
}

$EXPORT_TAGS{IOP_HEDARR} = [ qw(IOP_HEDARR_BLOCKFACTOR IOP_HEDARR_ISTRCT IOP_HEDARR_NATTRB IOP_HEDARR_NSTRCT IOP_HEDARR_WHAT IOP_HEDARR_WHEN IOP_HEDARR_WHERE str_IOP_HEDARR) ];
push @EXPORT_OK, @{$EXPORT_TAGS{IOP_HEDARR}};


=head2 misc

The following constants are available from the export tag C<misc>:

=cut

sub IO_BINARY_FILE () { 0 }
sub IO_BLOCKFACTOR () { 100000 }
sub IO_BUFSIZE () { 80 }
sub IO_COMPRESS_LVL () { 5 }
sub IO_DATATAG () { "*DATA" }
sub IO_DATTYPSIZE () { 256 }
sub IO_ENDFILE () { "*CRASH" }
sub IO_ENDINDEX () { "*ENDINDEX" }
sub IO_ENDINFO () { "*ENDINFO" }
sub IO_ENDTAG () { "*ENDDATASET" }
sub IO_FAILED_COMPRESSION () { -1 }
sub IO_HEADTAG () { "*HEADER" }
sub IO_INDEX () { "*INDEX" }
sub IO_INFO () { "*INFO" }
sub IO_INTFMT_LENGTH () { 10 }
sub IO_INTPERLINE () { 8 }
sub IO_LARGEDS_THREASHOLD () { 1610612736 }
sub IO_LBUFSIZE () { 256 }
sub IO_LOGLFMT_LENGTH () { 5 }
sub IO_LOGLPERLINE () { 16 }
sub IO_LONGBUF () { 2 * 20 }
sub IO_LONGFMT_LENGTH () { 10 }
sub IO_MAXATTRBS () { 20 }
sub IO_MAXENT () { 40 }
sub IO_MIN_COMPRESS_LEN () { 100 }
sub IO_MIN_DSNUM () { 10000 }
sub IO_NO_SORT () { 0 }
sub IO_OFFTFMT_LENGTH () { 20 }
sub IO_REALFMT () { "%20.11E" }
sub IO_REALFMT_LENGTH () { 20 }
sub IO_REALPERLINE () { 4 }
sub IO_SHORTBUF () { 20 }
sub IO_SORT_WHAT () { -1 }
sub IO_SORT_WHEN () { -3 }
sub IO_SORT_WHERE () { -2 }
sub IO_STARTTAG () { "*DATASET" }
sub IO_STR_TERMINATOR () { chr(27) }
sub IO_TXT_FILE () { 1 }
sub OFFSET_PRINTF_FMT () { "%lld" }
sub SIZE_T_PRINTF_FMT () { "%llu" }

=over

=item IO_BINARY_FILE

=item IO_BLOCKFACTOR

=item IO_BUFSIZE

=item IO_COMPRESS_LVL

=item IO_DATATAG

=item IO_DATTYPSIZE

=item IO_ENDFILE

=item IO_ENDINDEX

=item IO_ENDINFO

=item IO_ENDTAG

=item IO_FAILED_COMPRESSION

=item IO_HEADTAG

=item IO_INDEX

=item IO_INFO

=item IO_INTFMT_LENGTH

=item IO_INTPERLINE

=item IO_LARGEDS_THREASHOLD

=item IO_LBUFSIZE

=item IO_LOGLFMT_LENGTH

=item IO_LOGLPERLINE

=item IO_LONGBUF

=item IO_LONGFMT_LENGTH

=item IO_MAXATTRBS

=item IO_MAXENT

=item IO_MIN_COMPRESS_LEN

=item IO_MIN_DSNUM

=item IO_NO_SORT

=item IO_OFFTFMT_LENGTH

=item IO_REALFMT

=item IO_REALFMT_LENGTH

=item IO_REALPERLINE

=item IO_SHORTBUF

=item IO_SORT_WHAT

=item IO_SORT_WHEN

=item IO_SORT_WHERE

=item IO_STARTTAG

=item IO_STR_TERMINATOR

=item IO_TXT_FILE

=item OFFSET_PRINTF_FMT

=item SIZE_T_PRINTF_FMT

=back

=cut

use vars qw(%names_misc);
%names_misc = (
  IO_BINARY_FILE() => q(IO_BINARY_FILE),
  IO_BLOCKFACTOR() => q(IO_BLOCKFACTOR),
  IO_BUFSIZE() => q(IO_BUFSIZE),
  IO_COMPRESS_LVL() => q(IO_COMPRESS_LVL),
  IO_DATATAG() => q(IO_DATATAG),
  IO_DATTYPSIZE() => q(IO_DATTYPSIZE),
  IO_ENDFILE() => q(IO_ENDFILE),
  IO_ENDINDEX() => q(IO_ENDINDEX),
  IO_ENDINFO() => q(IO_ENDINFO),
  IO_ENDTAG() => q(IO_ENDTAG),
  IO_FAILED_COMPRESSION() => q(IO_FAILED_COMPRESSION),
  IO_HEADTAG() => q(IO_HEADTAG),
  IO_INDEX() => q(IO_INDEX),
  IO_INFO() => q(IO_INFO),
  IO_INTFMT_LENGTH() => q(IO_INTFMT_LENGTH),
  IO_INTPERLINE() => q(IO_INTPERLINE),
  IO_LARGEDS_THREASHOLD() => q(IO_LARGEDS_THREASHOLD),
  IO_LBUFSIZE() => q(IO_LBUFSIZE),
  IO_LOGLFMT_LENGTH() => q(IO_LOGLFMT_LENGTH),
  IO_LOGLPERLINE() => q(IO_LOGLPERLINE),
  IO_LONGBUF() => q(IO_LONGBUF),
  IO_LONGFMT_LENGTH() => q(IO_LONGFMT_LENGTH),
  IO_MAXATTRBS() => q(IO_MAXATTRBS),
  IO_MAXENT() => q(IO_MAXENT),
  IO_MIN_COMPRESS_LEN() => q(IO_MIN_COMPRESS_LEN),
  IO_MIN_DSNUM() => q(IO_MIN_DSNUM),
  IO_NO_SORT() => q(IO_NO_SORT),
  IO_OFFTFMT_LENGTH() => q(IO_OFFTFMT_LENGTH),
  IO_REALFMT() => q(IO_REALFMT),
  IO_REALFMT_LENGTH() => q(IO_REALFMT_LENGTH),
  IO_REALPERLINE() => q(IO_REALPERLINE),
  IO_SHORTBUF() => q(IO_SHORTBUF),
  IO_SORT_WHAT() => q(IO_SORT_WHAT),
  IO_SORT_WHEN() => q(IO_SORT_WHEN),
  IO_SORT_WHERE() => q(IO_SORT_WHERE),
  IO_STARTTAG() => q(IO_STARTTAG),
  IO_STR_TERMINATOR() => q(IO_STR_TERMINATOR),
  IO_TXT_FILE() => q(IO_TXT_FILE),
  OFFSET_PRINTF_FMT() => q(OFFSET_PRINTF_FMT),
  SIZE_T_PRINTF_FMT() => q(SIZE_T_PRINTF_FMT),
);
sub str_misc {
  $names_misc{$_[0]};
}

$EXPORT_TAGS{misc} = [ qw(IO_BINARY_FILE IO_BLOCKFACTOR IO_BUFSIZE IO_COMPRESS_LVL IO_DATATAG IO_DATTYPSIZE IO_ENDFILE IO_ENDINDEX IO_ENDINFO IO_ENDTAG IO_FAILED_COMPRESSION IO_HEADTAG IO_INDEX IO_INFO IO_INTFMT_LENGTH IO_INTPERLINE IO_LARGEDS_THREASHOLD IO_LBUFSIZE IO_LOGLFMT_LENGTH IO_LOGLPERLINE IO_LONGBUF IO_LONGFMT_LENGTH IO_MAXATTRBS IO_MAXENT IO_MIN_COMPRESS_LEN IO_MIN_DSNUM IO_NO_SORT IO_OFFTFMT_LENGTH IO_REALFMT IO_REALFMT_LENGTH IO_REALPERLINE IO_SHORTBUF IO_SORT_WHAT IO_SORT_WHEN IO_SORT_WHERE IO_STARTTAG IO_STR_TERMINATOR IO_TXT_FILE OFFSET_PRINTF_FMT SIZE_T_PRINTF_FMT str_misc) ];
push @EXPORT_OK, @{$EXPORT_TAGS{misc}};

1;
